Package org.drinkless.tdlib

# Class TdApi.ForumTopics

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.ForumTopics

Enclosing class:
  TdApi

public static class TdApi.ForumTopics extends TdApi.Object
Describes a list of forum topics.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `nextOffsetDate`
  Offset date for the next getForumTopics request.
  `long`
  `nextOffsetMessageId`
  Offset message identifier for the next getForumTopics request.
  `long`
  `nextOffsetMessageThreadId`
  Offset message thread identifier for the next getForumTopics request.
  `TdApi.ForumTopic[]`
  `topics`
  List of forum topics.
  `int`
  `totalCount`
  Approximate total number of forum topics found.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ForumTopics()`
  Describes a list of forum topics.
  `ForumTopics(int totalCount, TdApi.ForumTopic[] topics, int nextOffsetDate, long nextOffsetMessageId, long nextOffsetMessageThreadId)`
  Describes a list of forum topics.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### totalCount

    public int totalCount
    Approximate total number of forum topics found.

  - ### topics

    public TdApi.ForumTopic[] topics
    List of forum topics.

  - ### nextOffsetDate

    public int nextOffsetDate
    Offset date for the next getForumTopics request.

  - ### nextOffsetMessageId

    public long nextOffsetMessageId
    Offset message identifier for the next getForumTopics request.

  - ### nextOffsetMessageThreadId

    public long nextOffsetMessageThreadId
    Offset message thread identifier for the next getForumTopics request.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ForumTopics

    public ForumTopics()
    Describes a list of forum topics.

  - ### ForumTopics

    public ForumTopics(int totalCount, TdApi.ForumTopic[] topics, int nextOffsetDate, long nextOffsetMessageId, long nextOffsetMessageThreadId)
    Describes a list of forum topics.
    Parameters:
      `totalCount` - Approximate total number of forum topics found.
      `topics` - List of forum topics.
      `nextOffsetDate` - Offset date for the next getForumTopics request.
      `nextOffsetMessageId` - Offset message identifier for the next getForumTopics request.
      `nextOffsetMessageThreadId` - Offset message thread identifier for the next getForumTopics request.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR